# ProximityPromptExclusivity

## Overview

ProximityPromptExclusivity is an Enum that represents the display exclusivity of a ProximityPrompt.

It defines which prompts are shown when a player is within range of multiple ProximityPrompts simultaneously.

## Items

| Name         | Value | Description                                                                  |
| ------------ | ----- | ---------------------------------------------------------------------------- |
| OnePerButton | 0     | Only one ProximityPrompt sharing the same button key is displayed at a time. |
| OneGlobally  | 1     | Only one ProximityPrompt is displayed globally around the player at a time.  |
| AlwaysShow   | 2     | All ProximityPrompts within range are always displayed.                      |

## See also

{% content-ref url="/pages/9KwgnjyICXhC3zbJ7ott" %}
[ProximityPrompt](/development/api-reference/classes/proximityprompt.md)
{% endcontent-ref %}

{% content-ref url="/pages/GnrLrjwKQfcvJ8WiNyBu" %}
[ProximityPromptService](/development/api-reference/classes/proximitypromptservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/proximitypromptexclusivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
